package de.ivu.elect.business.gebietsbaum.control;

import javax.annotation.Nullable;

import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;

public interface AWerteAktualisierer {

  boolean isAWerteAktualisieren(Wahldurchfuehrungsgebiet gebiet);

  void aWerteZuruecksetzen(Wahldurchfuehrungsgebiet gebiet);

  void aktualisiereAWerteFuerUebergeordneteGebieteVon(@Nullable Wahldurchfuehrungsgebiet erfassungsgebiet);
}
